Bug 178096 - Cancelling upgrade should not cause a reboot
Cancelling upgrade should not cause a reboot
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-17 14:54 EST by Christopher Aillon
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-23 15:03:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Aillon 2006-01-17 14:54:46 EST
We chose install, went back, it defaulted to upgrade without us noticing,
continued on, it offered a confirmation dialog at some point "Are you sure you
want to upgrade?"  Clicking on cancel rebooted the machine instead of letting us
change options.
Comment 1 Jeremy Katz 2006-01-18 12:04:52 EST
Unfortunately, it's not really possible to just go back and change things once
you get past mounting filesystems as we can't be guaranteed to be able to turn
off swap, etc
Comment 2 Christopher Aillon 2006-01-18 13:12:32 EST
Is there a way to defer mounting the FS until the user confirms this is really
what he wants to do?
Comment 3 Jeremy Katz 2006-01-18 13:24:33 EST
We basically have to do it as the step right after you said you wanted to
upgrade.  So it would basically be "choose install vs upgrade, pop up dialog to
confirm they wanted upgrade" which is kind of silly
Comment 4 Christopher Aillon 2006-01-18 13:29:13 EST
Can we rename the "Cancel" button to read "Reboot" so users aren't taken aback?
Comment 5 Jeremy Katz 2006-01-23 00:01:48 EST
Sure... 
Comment 6 David Cantrell 2006-01-23 15:03:28 EST
Done.

Note You need to log in before you can comment on or make changes to this bug.